'''
Created on Apr 9, 2010

@author: Owner
'''

import os, pygame
from pygame.locals import Rect, K_ESCAPE, QUIT, KEYDOWN, KEYUP
from pygame.locals import RLEACCEL

SCREEN_DIMENSIONS = (800, 600)
screen = None
clock = None

#Aqui irian las definiciones de las estructuras de datos      

#Funcion de ayuda para cargar imagenes
#Ejemplo de uso: pinkBlockImage = load_image(os.path.join('data', 'block-pink.png'))
def load_image(name, colorkey=None):
    fullname = name
    try:
        image = pygame.image.load(fullname)
    except pygame.error, message:
        print 'Cannot load image:', fullname
        raise SystemExit, message
    image = image.convert_alpha()
    if colorkey is not None:
        if colorkey is -1:
            colorkey = image.get_at((0,0))
        image.set_colorkey(colorkey, RLEACCEL)
    return image
    
#Main function
def main():
    global screen
    global clock
    global SCREEN_DIMENSIONS
    
    pygame.init()
    screen = pygame.display.set_mode( SCREEN_DIMENSIONS )
    clock = pygame.time.Clock()
    
    initData()
    
    mainLoop()

#Aqui va la inicializacion de los datos
def initData():
    pass

#Loop principal del juego
def mainLoop():
    global clock
    
    while True:
        renderScreen()
        readInput()
        updateState()
        clock.tick(60)

#Funcion para mostrar en pantalla los elementos        
def renderScreen():
    global screen
    s = screen
    
    s.lock()
    s.fill(0)
    
    #Todas las funciones de render entre el fill(0) y el unlock()
    
    s.unlock()
    pygame.display.update()

#Funcion para leer la entrada
def readInput():
    global paddle1
    global paddle2
    
    for event in pygame.event.get():
        if event.type == QUIT:
            quit()
        elif event.type == KEYDOWN:
            if event.key == K_ESCAPE:
                quit()
            
            #if event.key == K_UP:
            #    paddle2.joystick.up = True
            
        elif event.type == KEYUP:
            pass
            #if event.key == K_UP:
            #    paddle2.joystick.up = False
    
#Aqui se actualiza el estado del juego
def updateState():
    pass
    
if __name__ == '__main__':
    main()